package com.bocloud.cmp.provider.f5;

import com.bocloud.cmp.model.f5.PartitionModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface PartitionProvider extends SuperProvider {
    /**
     * partition列表
     *
     * @return
     */
    public BocloudResult list();

    /**
     * 创建node
     *
     * @param partitionModel
     * @param
     */
    public BocloudResult create(PartitionModel partitionModel);

    /**
     * 删除partition
     *
     * @param name
     * @return
     */
    public BocloudResult remove(String name);
}
